Index: tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java	(revision 837)
+++ tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java	(revision 838)
@@ -158,11 +158,9 @@
 
 
 	
-	/**
-	 * 
-	 * @return
-	 */
-	public static ArrayList<String> getSupportedOutputDisplayFormatsStatic() {
+
+	@Override
+	public ArrayList<String> getSupportedOutputDisplayFormats() {
 		ArrayList<String> formats = new ArrayList<String>(1);
 
 		// FIXME: UI display output format, only SVG
@@ -170,18 +168,10 @@
 		
 		return formats;
 	}
-	
 
+	
 	@Override
-	public ArrayList<String> getSupportedOutputDisplayFormats() {
-		return getSupportedOutputDisplayFormatsStatic();
-	}
-
-	/**
-	 * 
-	 * @return
-	 */
-	public static ArrayList<String> getSupportedOutputFileFormatsStatic() {
+	public ArrayList<String> getSupportedOutputFileFormats() {
 	ArrayList<String> formats = new ArrayList<String>(5);
 		
 		formats.add(OUTPUT_FORMAT_SVG);
@@ -193,11 +183,6 @@
 		return formats;
 	}
 	
-	@Override
-	public ArrayList<String> getSupportedOutputFileFormats() {
-		return getSupportedOutputFileFormatsStatic();
-	}
-	
 
 
 
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/DictionnaryEditor.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/DictionnaryEditor.java	(revision 837)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/DictionnaryEditor.java	(revision 838)
@@ -2,7 +2,6 @@
 package org.txm.index.rcp.editors;
 
 import org.eclipse.swt.layout.GridData;
-import org.eclipse.swt.widgets.Composite;
 
 /**
  * extends the index editor to : 
@@ -13,9 +12,8 @@
  */
 public class DictionnaryEditor extends IndexEditor {
 
-	/* (non-Javadoc)
-	 * @see org.txm.rcp.editors.index.IndexEditor#createPartControl(org.eclipse.swt.widgets.Composite)
-	 */
+
+	
 	@Override
 	public void _createPartControl() {
 		super._createPartControl();
@@ -34,4 +32,5 @@
 		getMainParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false));
 		
 	}
+	
 }
\ No newline at end of file
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/SendToProgression.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/SendToProgression.java	(revision 0)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/SendToProgression.java	(revision 838)
@@ -0,0 +1,83 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.index.rcp.handlers;
+
+import java.util.List;
+
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.core.preferences.TXMPreferences;
+import org.txm.core.results.TXMResult;
+import org.txm.index.core.functions.Index;
+import org.txm.index.core.functions.Line;
+import org.txm.rcp.editors.TXMEditor;
+import org.txm.rcp.handlers.BaseAbstractHandler;
+import org.txm.searchengine.cqp.corpus.query.Query;
+
+/**
+ * Sends the lines of an index to compute a progression.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ * 
+ */
+public class SendToProgression extends BaseAbstractHandler {
+
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+
+		IStructuredSelection selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
+
+		if (selection != null && selection.getFirstElement() instanceof Line) {
+
+			List<Query> queries = Index.createQueries(selection.toList());
+
+			TXMEditor editor = (TXMEditor) HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActivePart();
+
+			// FIXME: tests:
+			// 1) create an UUID for the future TXMResult
+			// 2) store some parameters in the local preference node
+			// 3) call the command in the command target plug-in
+			//String uuid = "test_link_index_to_progression"; 
+			String uuid = TXMResult.createUUID();
+			TXMPreferences.put(uuid, TXMPreferences.PARENT_UUID, editor.getResult().getParent().getUUID());
+			TXMPreferences.put(uuid, TXMPreferences.QUERIES, Query.queriesToString(queries));
+			BaseAbstractHandler.executeCommand("org.txm.progression.rcp.handlers.ComputeProgression", uuid); //$NON-NLS-1$
+		}
+		else	{
+			this.logCanNotCompute(selection);
+		}
+		return null;
+	}
+
+
+	
+	
+}

Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/SendToConcordance.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/SendToConcordance.java	(revision 0)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/SendToConcordance.java	(revision 838)
@@ -0,0 +1,141 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.index.rcp.handlers;
+
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.core.preferences.TXMPreferences;
+import org.txm.core.results.TXMResult;
+import org.txm.index.core.functions.Index;
+import org.txm.index.core.functions.Line;
+import org.txm.rcp.editors.TXMEditor;
+import org.txm.rcp.handlers.BaseAbstractHandler;
+import org.txm.searchengine.cqp.corpus.Corpus;
+
+/**
+ * Sends the lines of an index to compute a concordance.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ * 
+ */
+public class SendToConcordance extends BaseAbstractHandler {
+
+
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+		
+		IStructuredSelection selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
+
+		if (selection != null && selection.getFirstElement() instanceof Line) {
+			
+			String query = Index.createQuery(selection.toList());
+
+			TXMEditor editor = (TXMEditor) HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActivePart();
+
+			// FIXME: tests:
+			// 1) create an UUID for the future TXMResult
+			// 2) store some parameters in the local preference node
+			// 3) call the command in the command target plug-in
+			//String uuid = "test_link_index_to_concordance";
+			String uuid = TXMResult.createUUID();
+			TXMPreferences.put(uuid, TXMPreferences.PARENT_UUID, editor.getResult().getParent().getUUID());
+			TXMPreferences.put(uuid, TXMPreferences.QUERY, query);
+			BaseAbstractHandler.executeCommand("org.txm.concordance.rcp.handlers.ComputeConcordance", uuid); //$NON-NLS-1$
+		}
+		else	{
+			this.logCanNotCompute(selection);
+		}
+		return null;
+	}
+
+//	/**
+//	 * Link.
+//	 *
+//	 * @param voceditor the voceditor
+//	 * @param selection the selection
+//	 * @return the object
+//	 */
+//	public static Object link(IndexEditor voceditor,
+//			IStructuredSelection selection) {
+//		assert (selection.getFirstElement() instanceof Line);
+//		String query = getQuery(selection);
+//		if (query.length() == 0)
+//			return null;
+//		Corpus corpus = voceditor.getCorpus();
+//		Concordance concordance = new Concordance(corpus);
+//		concordance.setParameters(new Query(query), null, null, null, null, null, null, null, null, null, null);
+//		TXMResultEditorInput editorInput = new TXMResultEditorInput(concordance);
+////		try {
+////			System.out.println("Compute indexResult query: "+voceditor.getQuery());
+////			QueryResult indexResult = corpus.query(voceditor.getQuery(), "Index", false);
+////			System.out.println("N result: "+indexResult.getNMatch());
+////
+////			System.out.println("Compute indexOccResult query: "+query);
+////			QueryResult indexOccResult = corpus.query(new Query(query), "IndexOcc", false);
+////			System.out.println("N result: "+indexOccResult.getNMatch());
+////
+////			String queryname = "Q"+Corpus.getNextQueryCounter();
+////			String interQueryString = queryname+"=intersect "+indexResult.getQualifiedCqpId()+" "+indexOccResult.getQualifiedCqpId()+";"; 
+////			System.out.println("Compute inter query: "+interQueryString);
+////			((MemCqiClient)CQPSearchEngine.getCqiClient()).query(interQueryString);
+////			
+////			QueryResult inter = new QueryResult(queryname, queryname, corpus, new Query(interQueryString));
+////			System.out.println("indexResult size: "+indexResult.getNMatch());
+////			System.out.println("indexOccResult size: "+indexOccResult.getNMatch());
+////			System.out.println("inter size: "+inter.getNMatch());
+////			
+////			QueryResult inter2 = corpus.query(new Query("intersect "+indexResult.getQualifiedCqpId()+" "+indexOccResult.getQualifiedCqpId()), "Q"+Corpus.getNextQueryCounter(),false);
+////			System.out.println("inter2 size: "+inter2.getNMatch());
+////		} catch (Exception e) {
+////			e.printStackTrace();
+////			try {
+////				System.out.println("CQP error: "+CQPSearchEngine.getCqiClient().getLastError());
+////			} catch (Exception e1) {
+////				e1.printStackTrace();
+////			}
+////		}
+////		
+////		return null;
+//
+//		IWorkbenchPage page = voceditor.getEditorSite().getWorkbenchWindow()
+//				.getActivePage();
+//		try {
+//			ConcordanceEditor conceditor = (ConcordanceEditor) page
+//					.openEditor(editorInput, ConcordanceEditor.ID); //$NON-NLS-1$
+//		} catch (PartInitException e) {
+//			System.err.println("Error: "+e.getLocalizedMessage());
+//		}
+//
+//		return null;
+//	}
+
+
+}

Index: tmp/org.txm.index.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.index.rcp/META-INF/MANIFEST.MF	(revision 837)
+++ tmp/org.txm.index.rcp/META-INF/MANIFEST.MF	(revision 838)
@@ -1,16 +1,17 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.utils;bundle-version="1.0.0";visibility:=reexp
- ort,org.eclipse.osgi;bundle-version="3.10.2";visibility:=reexport,org
- .eclipse.core.runtime;bundle-version="3.10.0";visibility:=reexport, o
- rg.txm.statsengine.core;bundle-version="1.0.0";visibility:=reexport,o
- rg.txm.statsengine.r.core;bundle-version="1.0.0";visibility:=reexport
- ,org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=ree
- xport,org.txm.core;bundle-version="0.7.0";visibility:=reexport,org.tx
- m.index.core;bundle-version="1.0.0";visibility:=reexport,org.txm.stat
- sengine.r.rcp;visibility:=reexport,org.eclipse.ui;bundle-version="3.1
- 06.1";visibility:=reexport,org.txm.rcp;visibility:=reexport,org.eclip
- se.core.expressions;bundle-version="3.4.600";visibility:=reexport,org
- .txm.searchengine.core;bundle-version="1.0.0";visibility:=reexport
+Require-Bundle: org.txm.utils;bundle-version="1.0.0";visibility:=reexport,
+ org.eclipse.osgi;bundle-version="3.10.2";visibility:=reexport,
+ org.eclipse.core.runtime;bundle-version="3.10.0";visibility:=reexport,
+ org.txm.statsengine.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.statsengine.r.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport,
+ org.txm.core;bundle-version="0.7.0";visibility:=reexport,
+ org.txm.index.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.statsengine.r.rcp;visibility:=reexport,
+ org.eclipse.ui;bundle-version="3.106.1";visibility:=reexport,
+ org.txm.rcp;visibility:=reexport,
+ org.eclipse.core.expressions;bundle-version="3.4.600";visibility:=reexport,
+ org.txm.searchengine.core;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.index.rcp.adapters,org.txm.index.rcp.editors,o
  rg.txm.index.rcp.handlers,org.txm.index.rcp.messages
 Bundle-Vendor: Textometrie.org
Index: tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java
===================================================================
--- tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java	(revision 837)
+++ tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java	(revision 838)
@@ -61,8 +61,8 @@
 		ArrayList<String> supportedOutputFormats = new ArrayList<String>();
 		
 		
-		supportedOutputFormats.addAll(RChartsEngine.getSupportedOutputDisplayFormatsStatic());
-		supportedOutputFormats.addAll(RChartsEngine.getSupportedOutputFileFormatsStatic());
+		supportedOutputFormats.addAll(((ChartsEngine) Toolbox.getEngineManager(EngineType.CHARTS).getEngine(RChartsEngine.class)).getSupportedOutputDisplayFormats());
+		supportedOutputFormats.addAll(((ChartsEngine) Toolbox.getEngineManager(EngineType.CHARTS).getEngine(RChartsEngine.class)).getSupportedOutputFileFormats());
 		
 		// Sort the set
 		TreeSet<String> formatsSet = new TreeSet <String>(supportedOutputFormats);
Index: tmp/org.txm.libs.cqp/src/org/txm/libs/cqp/CQPLibPreferences.java
===================================================================
--- tmp/org.txm.libs.cqp/src/org/txm/libs/cqp/CQPLibPreferences.java	(revision 837)
+++ tmp/org.txm.libs.cqp/src/org/txm/libs/cqp/CQPLibPreferences.java	(revision 838)
@@ -7,8 +7,6 @@
 import org.osgi.framework.FrameworkUtil;
 import org.osgi.framework.Version;
 import org.osgi.service.prefs.Preferences;
-import org.txm.core.messages.TXMCoreMessages;
-import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.utils.BundleUtils;
 import org.txm.utils.logger.Log;
@@ -59,8 +57,6 @@
 	public void initializeDefaultPreferences() {
 		
 		
-		Log.info(TXMCoreMessages.Toolbox_4 + TBXPreferences.getID()); 
-
 		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
 
 		preferences.put(CQI_SERVER_ADDITIONAL_OPTIONS, "-b 1000000 -d OFF"); //$NON-NLS-1$
Index: tmp/org.txm.information.core/src/org/txm/properties/core/functions/Properties.java
===================================================================
--- tmp/org.txm.information.core/src/org/txm/properties/core/functions/Properties.java	(revision 837)
+++ tmp/org.txm.information.core/src/org/txm/properties/core/functions/Properties.java	(revision 838)
@@ -27,14 +27,9 @@
 //
 package org.txm.properties.core.functions;
 
-import java.io.BufferedWriter;
 import java.io.File;
-import java.io.FileNotFoundException;
-import java.io.FileOutputStream;
 import java.io.IOException;
-import java.io.OutputStreamWriter;
 import java.io.PrintWriter;
-import java.io.UnsupportedEncodingException;
 import java.util.ArrayList;
 import java.util.Collections;
 import java.util.HashMap;
@@ -593,7 +588,7 @@
 	}
 
 	@Override
-	synchronized protected boolean _compute() throws Exception {
+	protected boolean _compute() throws Exception {
 		
 		this.beginTask("Computing properties...", 3);
 		this.stepGeneralInfos();
Index: tmp/org.txm.information.core/src/org/txm/properties/core/preferences/PropertiesPreferences.java
===================================================================
--- tmp/org.txm.information.core/src/org/txm/properties/core/preferences/PropertiesPreferences.java	(revision 837)
+++ tmp/org.txm.information.core/src/org/txm/properties/core/preferences/PropertiesPreferences.java	(revision 838)
@@ -16,7 +16,7 @@
 	// auto populate the preference node qualifier from the current bundle id
 	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(PropertiesPreferences.class).getSymbolicName();
 	
-	public static final String PREFERENCES_PREFIX = "information_"; //$NON-NLS-1$
+	public static final String PREFERENCES_PREFIX = "properties_"; //$NON-NLS-1$
 	
 	
 	/**
@@ -29,7 +29,7 @@
 	public void initializeDefaultPreferences() {
 		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
 		
-		preferences.putInt(MAX_PROPERTIES_TO_DISPLAY, 10);
+		preferences.putInt(MAX_PROPERTIES_TO_DISPLAY, 100);
 		
 	}
 	
